Package picard.analysis.artifacts

## Enum Transition.Base

- java.lang.Object
- - java.lang.Enum<Transition.Base>
  - - picard.analysis.artifacts.Transition.Base

- All Implemented Interfaces:
    `Serializable`, `Comparable<Transition.Base>`
  Enclosing class:
    Transition

      protected static enum Transition.Base
      extends Enum<Transition.Base>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `A` |
    `C` |
    `G` |
    `T` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte` | `base` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Transition.Base` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Transition.Base[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### A

          public static final Transition.Base A

    - #### C

          public static final Transition.Base C

    - #### G

          public static final Transition.Base G

    - #### T

          public static final Transition.Base T

  - ### Field Detail

    - #### base

          public byte base

  - ### Method Detail

    - #### values

          public static Transition.Base[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transition.Base c : Transition.Base.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Transition.Base valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null